com.r3corda.core.serialization / KotlinObjectSerializer

# KotlinObjectSerializer

`object KotlinObjectSerializer`

Serializer to deserialize kotlin object definitions marked with DeserializeAsKotlinObjectDef.

### Functions

read | `fun read(kryo: <ERROR CLASS>, input: <ERROR CLASS>, type: Class<DeserializeAsKotlinObjectDef>): DeserializeAsKotlinObjectDef`
write | `fun write(kryo: <ERROR CLASS>, output: <ERROR CLASS>, obj: DeserializeAsKotlinObjectDef): Unit`